<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class GetGroupChatsMesssageResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
//        return parent::toArray($request);

//        foreach ($this->)
        return [
            'id'=>$this->id,'uuid'=>$this->uuid,'created_at'=>($this->created_at)?($this->created_at)->format('M d Y H:i A'):"",
            'title'=>$this->title,

            'subject'=>$this->subject,
            'message'=>GetPrivateChatsMesssageResource::collection($this->messages)
        ];
    }
}
