<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class ListTagResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
//        return parent::toArray($request);

        return [        'id'=>$this->id,
                    'name'=>$this->client->name??"",
                    'last_name'=>$this->client->last_name??"",
                    'address'=>$this->address,
                    'email'=>$this->email,
                    'phone_number'=>$this->phone_number,
                    'industry'=>$this->client->jobTitle->title??"",
                    'read_at'=>$this->read_at,
                    'image'=>$this->client->image,
                ];
    }
}
