<?php

namespace App\Models\Admin\Structure;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SiteInformation extends Model
{
    use HasFactory;
    const TWITTER='twitter';
    const INSTAGRAM='instagram';
    const LINKEDIN='linkedin';
    const FACEBOOK='facebook';
    const MAINE_PHOTO_NUMBER='main_phone_number';
    const SECOND_PHOTO_NUMBER='second_phone_number';
    const ABOUT_US_MAIN_PARAGRAPH='about_us_main_paragraph';
    const ABOUT_US_MAIN_PARAGRAPH_TITLE='about_us_main_paragraph_title';
    const ABOUT_US_SECONDARY_TEXT='about_us_secondary_text';
    const ABOUT_US_SECONDARY_TEXT_TITLE='about_us_secondary_text_title';
    const Third_PHOTO_NUMBER='Third_phone_number';
    const SITE_DESCRIPTION='site_description';
    const SITE_ADDRESS='site_address';
    const INSTAGRAM_COUNT='instagram_count';
    const FRIEND_COUNT='friend_count';
    const GOOGLE_COUNT='google_count';
    const FACEBOOK_COUNT='facebook_count';
    const OTHERS_COUNT='other_count';
    const TEXT_MAIN_PAGE  ='text_main_page';
    const LINK_APP_GOOGLE_PLAY  ='link_app_google';
    const LINK_APP_STORE  ='link_app_store';
    const EMAIL  ='email';
    const TERMS  ='terms';

//    const LINK_APP_STORE  ='link_app_store';
    protected $table = 'site_informations';
    protected $guarded = [
        'id'
    ];

}
