<?php

namespace App\QueryFilters;

class CreatorEmailFilter
{
    public function handle($request, \Closure $next)
    {
        if (! request()->has('email')){
            return $next($request);
        }
        $builder=$next($request);
        return  $builder->whereHas('creator.member',function ($q){
            $q->where('email',"LIKE","%".\request('email')."%");
        });
    }
}