<?php
/**
 * Created by PhpStorm.
 * User: Asus
 * Date: 29.08.2021
 * Time: 18:16
 */

namespace App\Filter;


use Closure;
use Illuminate\Support\Str;

abstract class  Filter
{
    public function handle($request, Closure $next)
    {

        if (!\request()->has($this->filterName()))
            return $next($request);
//        dd($this->filterName());

        $builder=$next($request);
        return $this->applyFilter($builder);
    }
     protected abstract function applyFilter($builder);

    protected function  filterName(){
        return Str::snake(class_basename($this));
    }

}
