<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Style extends Model
{
    use HasFactory;
    protected $guarded =[
        'id'
    ];
    public function images()
    {
        return $this->belongsToMany(Image::class, 'style_images');
    }
    public function projects(){
        return $this->belongsTo(Project::class,'id','style');
    }


}
