<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSocialMediablesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('social_mediables', function (Blueprint $table) {
            $table->id();
            $table->text('link');
            $table->integer('review')->nullable();
            $table->foreignId('social_media_id')->constrained('social_medias');
            $table->integer('social_mediable_id');
            $table->string('social_mediable_type');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('social_mediables');
    }
}
